#!/bin/sh

BASEDIR=$(dirname $0)
cd $BASEDIR

chmod +x files/adb.mac
chmod +x files/fastboot.mac

ADBBINARY="./adb.mac"
FASTBOOTBINARY="./fastboot.mac"

cd files

echo 
echo
echo Connect your device with your computer and prepare to UN-ROOT
echo
echo !!! DO NOT DISCONNECT USB CABLE WHILE UN-ROOTING !!!
echo
echo
${ADBBINARY} wait-for-devices

echo
echo
echo Check if Xposed is installed ..
echo
echo
CHECK_EXPOSED=`${ADBBINARY} shell ls /system/bin/app_process32_xposed`
if [[ "$CHECK_EXPOSED" == *"No such"* ]]; then
  echo Xposed not installed, continue ..
else
  echo "This will remove Xposed Framework, you may re-install later "
  read -r -p "Press Y to continue [y/N] " response
  case $response in
    [yY][eE][sS]|[yY]) 
      ;;
    *)
      exit 0
      ;;
  esac
fi

${ADBBINARY} reboot bootloader
sleep 30

echo
echo
echo Removing root, please be patient ..
echo
echo
${FASTBOOTBINARY} flash /system/bin/resize2fs magic
${FASTBOOTBINARY} flash /system/bin/tune2fs busybox
${FASTBOOTBINARY} oem start_partitioning
${FASTBOOTBINARY} flash /system/bin/logcat uninstaller
${FASTBOOTBINARY} oem stop_partitioning
sleep 2

echo
echo
echo "All done, your device is UN-ROOT :)"
echo "by shakalaca (http://23pin.logdown.com)"
echo
echo
${FASTBOOTBINARY} reboot

cd ..
